# Class ForkContentHandler

java.lang.Object
com.thaiopensource.xml.sax.ForkContentHandler

All Implemented Interfaces:
  `ContentHandler`

public class ForkContentHandler extends Object implements ContentHandler

## Constructor Summary

Constructors
Constructor
Description
`ForkContentHandler(ContentHandler ch1, ContentHandler ch2)`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] chars, int i, int i1)`
`void`
`endDocument()`
`void`
`endElement(String s, String s1, String s2)`
`void`
`endPrefixMapping(String s)`
`void`
`ignorableWhitespace(char[] chars, int i, int i1)`
`void`
`processingInstruction(String s, String s1)`
`void`
`setDocumentLocator(Locator locator)`
`void`
`skippedEntity(String s)`
`void`
`startDocument()`
`void`
`startElement(String s, String s1, String s2, Attributes attributes)`
`void`
`startPrefixMapping(String s, String s1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Constructor Details

### ForkContentHandler

public ForkContentHandler(ContentHandler ch1, ContentHandler ch2)

## Method Details

### setDocumentLocator

public void setDocumentLocator(Locator locator)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`

### startDocument

public void startDocument() throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Throws:
  `SAXException`

### endDocument

public void endDocument() throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Throws:
  `SAXException`

### startPrefixMapping

public void startPrefixMapping(String s, String s1) throws SAXException

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

### endPrefixMapping

public void endPrefixMapping(String s) throws SAXException

Specified by:
  `endPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

### startElement

public void startElement(String s, String s1, String s2, Attributes attributes) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Throws:
  `SAXException`

### endElement

public void endElement(String s, String s1, String s2) throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Throws:
  `SAXException`

### characters

public void characters(char[] chars, int i, int i1) throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Throws:
  `SAXException`

### ignorableWhitespace

public void ignorableWhitespace(char[] chars, int i, int i1) throws SAXException

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Throws:
  `SAXException`

### processingInstruction

public void processingInstruction(String s, String s1) throws SAXException

Specified by:
  `processingInstruction` in interface `ContentHandler`
Throws:
  `SAXException`

### skippedEntity

public void skippedEntity(String s) throws SAXException

Specified by:
  `skippedEntity` in interface `ContentHandler`
Throws:
  `SAXException`